Subject: bug#63633: Emacs becomes unresponsive when trying to ssh into localhost (MacOS)

From: Michael Albinus <[email-masked]>
Date: Mon, 22 May 2023 10:14:31 +0200

Arteen Abrishami <[email-masked]> writes:

Hi Arteen,

> I am trying to ssh into the localhost via emacs. I use `M-x dired
> <RET> /ssh:user@localhost#2222:/ <RET>`. This does not work. The
> message it will show is “Opening connection will for user@localhost
> using ssh…” forever.
>
> Emacs will become unresponsive, and I will hear my fans very loudly.
> This continues for as long as I’ve let it. I have to Force Quit emacs.
> I am running GNU Emacs 30.0.50.

Please run from the terminal

--8<---------------cut here---------------start------------->8---
# emacs -Q --eval '(setq tramp-verbose 10)' /ssh:user@localhost#2222:/
--8<---------------cut here---------------end--------------->8---

Interrupt with C-g if it hangs. There will be a buffer "*debug tramp/ssh
user@localhost#2222*" which will tell us what's up.

> - Arteen

Best regards, Michael.